<?php

namespace Modules\Product\Enums;

class ProductSpecificationEnums
{
    public static function colors(): array
    {
        return [
            'aliceblue' => ['background' => '#f0f8ff', 'text' => '#000000'],
            'antiquewhite' => ['background' => '#faebd7', 'text' => '#000000'],
            'aqua' => ['background' => '#00ffff', 'text' => '#000000'],
            'aquamarine' => ['background' => '#7fffd4', 'text' => '#000000'],
            'azure' => ['background' => '#f0ffff', 'text' => '#000000'],
            'beige' => ['background' => '#f5f5dc', 'text' => '#000000'],
            'bisque' => ['background' => '#ffe4c4', 'text' => '#000000'],
            'black' => ['background' => '#000000', 'text' => '#ffffff'],
            'blanchedalmond' => ['background' => '#ffebcd', 'text' => '#000000'],
            'blue' => ['background' => '#0000ff', 'text' => '#ffffff'],
            'blueviolet' => ['background' => '#8a2be2', 'text' => '#ffffff'],
            'brown' => ['background' => '#a52a2a', 'text' => '#ffffff'],
            'burlywood' => ['background' => '#deb887', 'text' => '#000000'],
            'cadetblue' => ['background' => '#5f9ea0', 'text' => '#ffffff'],
            'chartreuse' => ['background' => '#7fff00', 'text' => '#000000'],
            'chocolate' => ['background' => '#d2691e', 'text' => '#ffffff'],
            'coral' => ['background' => '#ff7f50', 'text' => '#ffffff'],
            'cornflowerblue' => ['background' => '#6495ed', 'text' => '#ffffff'],
            'cornsilk' => ['background' => '#fff8dc', 'text' => '#000000'],
            'crimson' => ['background' => '#dc143c', 'text' => '#ffffff'],
            'cyan' => ['background' => '#00ffff', 'text' => '#000000'],
            'darkblue' => ['background' => '#00008b', 'text' => '#ffffff'],
            'darkcyan' => ['background' => '#008b8b', 'text' => '#ffffff'],
            'darkgoldenrod' => ['background' => '#b8860b', 'text' => '#ffffff'],
            'darkgray' => ['background' => '#a9a9a9', 'text' => '#000000'],
            'darkgreen' => ['background' => '#006400', 'text' => '#ffffff'],
            'darkgrey' => ['background' => '#a9a9a9', 'text' => '#000000'],
            'darkkhaki' => ['background' => '#bdb76b', 'text' => '#000000'],
            'darkmagenta' => ['background' => '#8b008b', 'text' => '#ffffff'],
            'darkolivegreen' => ['background' => '#556b2f', 'text' => '#ffffff'],
            'darkorange' => ['background' => '#ff8c00', 'text' => '#ffffff'],
            'darkorchid' => ['background' => '#9932cc', 'text' => '#ffffff'],
            'darkred' => ['background' => '#8b0000', 'text' => '#ffffff'],
            'darksalmon' => ['background' => '#e9967a', 'text' => '#ffffff'],
            'darkseagreen' => ['background' => '#8fbc8f', 'text' => '#ffffff'],
            'darkslateblue' => ['background' => '#483d8b', 'text' => '#ffffff'],
            'darkslategray' => ['background' => '#2f4f4f', 'text' => '#ffffff'],
            'darkslategrey' => ['background' => '#2f4f4f', 'text' => '#ffffff'],
            'darkturquoise' => ['background' => '#00ced1', 'text' => '#ffffff'],
            'darkviolet' => ['background' => '#9400d3', 'text' => '#ffffff'],
            'deeppink' => ['background' => '#ff1493', 'text' => '#ffffff'],
            'deepskyblue' => ['background' => '#00bfff', 'text' => '#ffffff'],
            'dimgray' => ['background' => '#696969', 'text' => '#ffffff'],
            'dimgrey' => ['background' => '#696969', 'text' => '#ffffff'],
            'dodgerblue' => ['background' => '#1e90ff', 'text' => '#ffffff'],
            'firebrick' => ['background' => '#b22222', 'text' => '#ffffff'],
            'floralwhite' => ['background' => '#fffaf0', 'text' => '#000000'],
            'forestgreen' => ['background' => '#228b22', 'text' => '#ffffff'],
            'fuchsia' => ['background' => '#ff00ff', 'text' => '#ffffff'],
            'gainsboro' => ['background' => '#dcdcdc', 'text' => '#000000'],
            'ghostwhite' => ['background' => '#f8f8ff', 'text' => '#000000'],
            'gold' => ['background' => '#ffd700', 'text' => '#ffffff'],
            'goldenrod' => ['background' => '#daa520', 'text' => '#ffffff'],
            'gray' => ['background' => '#808080', 'text' => '#ffffff'],
            'green' => ['background' => '#008000', 'text' => '#ffffff'],
            'greenyellow' => ['background' => '#adff2f', 'text' => '#ffffff'],
            'grey' => ['background' => '#808080', 'text' => '#ffffff'],
            'honeydew' => ['background' => '#f0fff0', 'text' => '#000000'],
            'hotpink' => ['background' => '#ff69b4', 'text' => '#ffffff'],
            'indianred' => ['background' => '#cd5c5c', 'text' => '#ffffff'],
            'indigo' => ['background' => '#4b0082', 'text' => '#ffffff'],
            'ivory' => ['background' => '#fffff0', 'text' => '#000000'],
            'khaki' => ['background' => '#f0e68c', 'text' => '#000000'],
            'lavender' => ['background' => '#e6e6fa', 'text' => '#000000'],
            'lavenderblush' => ['background' => '#fff0f5', 'text' => '#000000'],
            'lawngreen' => ['background' => '#7cfc00', 'text' => '#ffffff'],
            'lemonchiffon' => ['background' => '#fffacd', 'text' => '#000000'],
            'lightblue' => ['background' => '#add8e6', 'text' => '#ffffff'],
            'lightcoral' => ['background' => '#f08080', 'text' => '#ffffff'],
            'lightcyan' => ['background' => '#e0ffff', 'text' => '#000000'],
            'lightgoldenrodyellow' => ['background' => '#fafad2', 'text' => '#000000'],
            'lightgray' => ['background' => '#d3d3d3', 'text' => '#ffffff'],
            'lightgreen' => ['background' => '#90ee90', 'text' => '#ffffff'],
            'lightgrey' => ['background' => '#d3d3d3', 'text' => '#ffffff'],
            'lightpink' => ['background' => '#ffb6c1', 'text' => '#ffffff'],
            'lightsalmon' => ['background' => '#ffa07a', 'text' => '#ffffff'],
            'lightseagreen' => ['background' => '#20b2aa', 'text' => '#ffffff'],
            'lightskyblue' => ['background' => '#87cefa', 'text' => '#ffffff'],
            'lightslategray' => ['background' => '#778899', 'text' => '#ffffff'],
            'lightslategrey' => ['background' => '#778899', 'text' => '#ffffff'],
            'lightsteelblue' => ['background' => '#b0c4de', 'text' => '#ffffff'],
            'lightyellow' => ['background' => '#ffffe0', 'text' => '#000000'],
            'lime' => ['background' => '#00ff00', 'text' => '#ffffff'],
            'limegreen' => ['background' => '#32cd32', 'text' => '#ffffff'],
            'linen' => ['background' => '#faf0e6', 'text' => '#000000'],
            'magenta' => ['background' => '#ff00ff', 'text' => '#ffffff'],
            'maroon' => ['background' => '#800000', 'text' => '#ffffff'],
            'mediumaquamarine' => ['background' => '#66cdaa', 'text' => '#ffffff'],
            'mediumblue' => ['background' => '#0000cd', 'text' => '#ffffff'],
            'mediumorchid' => ['background' => '#ba55d3', 'text' => '#ffffff'],
            'mediumpurple' => ['background' => '#9370db', 'text' => '#ffffff'],
            'mediumseagreen' => ['background' => '#3cb371', 'text' => '#ffffff'],
            'mediumslateblue' => ['background' => '#7b68ee', 'text' => '#ffffff'],
            'mediumspringgreen' => ['background' => '#00fa9a', 'text' => '#ffffff'],
            'mediumturquoise' => ['background' => '#48d1cc', 'text' => '#ffffff'],
            'mediumvioletred' => ['background' => '#c71585', 'text' => '#ffffff'],
            'midnightblue' => ['background' => '#191970', 'text' => '#ffffff'],
            'mintcream' => ['background' => '#f5fffa', 'text' => '#000000'],
            'mistyrose' => ['background' => '#ffe4e1', 'text' => '#000000'],
            'moccasin' => ['background' => '#ffe4b5', 'text' => '#ffffff'],
            'navajowhite' => ['background' => '#ffdead', 'text' => '#ffffff'],
            'navy' => ['background' => '#000080', 'text' => '#ffffff'],
            'oldlace' => ['background' => '#fdf5e6', 'text' => '#000000'],
            'olive' => ['background' => '#808000', 'text' => '#ffffff'],
            'olivedrab' => ['background' => '#6b8e23', 'text' => '#ffffff'],
            'orange' => ['background' => '#ffa500', 'text' => '#ffffff'],
            'orangered' => ['background' => '#ff4500', 'text' => '#ffffff'],
            'orchid' => ['background' => '#da70d6', 'text' => '#ffffff'],
            'palegoldenrod' => ['background' => '#eee8aa', 'text' => '#000000'],
            'palegreen' => ['background' => '#98fb98', 'text' => '#ffffff'],
            'paleturquoise' => ['background' => '#afeeee', 'text' => '#ffffff'],
            'palevioletred' => ['background' => '#db7093', 'text' => '#ffffff'],
            'papayawhip' => ['background' => '#ffefd5', 'text' => '#000000'],
            'peachpuff' => ['background' => '#ffdab9', 'text' => '#ffffff'],
            'peru' => ['background' => '#cd853f', 'text' => '#ffffff'],
            'pink' => ['background' => '#ffc0cb', 'text' => '#000000'],
            'plum' => ['background' => '#dda0dd', 'text' => '#ffffff'],
            'powderblue' => ['background' => '#b0e0e6', 'text' => '#000000'],
            'purple' => ['background' => '#800080', 'text' => '#ffffff'],
            'red' => ['background' => '#ff0000', 'text' => '#ffffff'],
            'rosybrown' => ['background' => '#bc8f8f', 'text' => '#ffffff'],
            'royalblue' => ['background' => '#4169e1', 'text' => '#ffffff'],
            'saddlebrown' => ['background' => '#8b4513', 'text' => '#ffffff'],
            'salmon' => ['background' => '#fa8072', 'text' => '#ffffff'],
            'sandybrown' => ['background' => '#f4a460', 'text' => '#ffffff'],
            'seagreen' => ['background' => '#2e8b57', 'text' => '#ffffff'],
            'seashell' => ['background' => '#fff5ee', 'text' => '#000000'],
            'sienna' => ['background' => '#a0522d', 'text' => '#ffffff'],
            'silver' => ['background' => '#c0c0c0', 'text' => '#000000'],
            'skyblue' => ['background' => '#87ceeb', 'text' => '#000000'],
            'slateblue' => ['background' => '#6a5acd', 'text' => '#ffffff'],
            'slategray' => ['background' => '#708090', 'text' => '#ffffff'],
            'slategrey' => ['background' => '#708090', 'text' => '#ffffff'],
            'snow' => ['background' => '#fffafa', 'text' => '#000000'],
            'springgreen' => ['background' => '#00ff7f', 'text' => '#ffffff'],
            'steelblue' => ['background' => '#4682b4', 'text' => '#ffffff'],
            'tan' => ['background' => '#d2b48c', 'text' => '#ffffff'],
            'teal' => ['background' => '#008080', 'text' => '#ffffff'],
            'thistle' => ['background' => '#d8bfd8', 'text' => '#000000'],
            'tomato' => ['background' => '#ff6347', 'text' => '#ffffff'],
            'turquoise' => ['background' => '#40e0d0', 'text' => '#ffffff'],
            'violet' => ['background' => '#ee82ee', 'text' => '#ffffff'],
            'wheat' => ['background' => '#f5deb3', 'text' => '#ffffff'],
            'white' => ['background' => '#ffffff', 'text' => '#000000'],
            'whitesmoke' => ['background' => '#f5f5f5', 'text' => '#000000'],
            'yellow' => ['background' => '#ffff00', 'text' => '#ffffff'],
            'yellowgreen' => ['background' => '#9acd32', 'text' => '#ffffff'],
        ];
    }
}
